Matrix Games Forums

Forums  Register  Login  Photo Gallery  Member List  Search  Calendars  FAQ 

My Profile  Inbox  Address Book  My Subscription  My Forums  Log Out

Patching to v02.09.05 or not

 
View related threads: (in this forum | in all forums)

Logged in as: Guest
Users viewing this topic: none
  Printable Version
All Forums >> [New Releases from Matrix Games] >> World in Flames >> Tech Support >> Patching to v02.09.05 or not Page: [1]
Login
Message << Older Topic   Newer Topic >>
Patching to v02.09.05 or not - 2/7/2019 12:53:40 PM   
TeaLeaf


Posts: 389
Joined: 11/5/2014
Status: offline
So, I'm currently still using v2.7.5 because in this version I can control the convoy-AI (most of the time); it works as it's supposed to.

Now I'm wondering: Can I roll back to 2.7.5 if I install v02.09.04.00 Public Beta Update and then patch to v02.09.05, simply by replacing the 2.9.5 exe with 2.7.5 exe?

I'd like to easily roll back to 2.7.5 if 2.9.5 reintroduces convoy-problems, but I certainly like to at least try and see if it does or not!
Post #: 1
RE: Patching to v02.09.05 or not - 2/7/2019 4:55:42 PM   
paulderynck


Posts: 7721
Joined: 3/24/2007
From: Canada
Status: offline
The simplest way is to edit the game file to change the game version. Open it in a text editor like Notepad and on the first line at top left is the game version. Change it and save the game. Make sure the extension is still "GAM".

Create two desktop shortcuts - one to a 2.9.5 EXE and one to a 2.7.5 EXE. You can open any prior version with 2.9.5, but you need to edit the game file version before opening ones later than 2.7.5, if using 2.7.5.

So you get to where you want to use 2.7.5, edit the game file, do your thing with the 2.7.5 EXE, save the game and then open it with 2.9.5 from that later point (no need to change the game version back first).

AFAIK this will work for any game version after about 2.4 because there's been no changes since then to the save game file format nor to the data files the game uses.

< Message edited by paulderynck -- 2/7/2019 5:03:03 PM >


_____________________________

Paul

(in reply to TeaLeaf)
Post #: 2
RE: Patching to v02.09.05 or not - 2/7/2019 8:16:58 PM   
TeaLeaf


Posts: 389
Joined: 11/5/2014
Status: offline
Thanks Paul!

So I can dowload and install 2.9.4, patch to 2.9.5 and start playing.
Then if I want to switch to 2.7.5, I have to edit the GAM file like you described (just the version at first line top left) and use the 2.7.5 EXE to open this savegame.

Can I assume this also works vice versa?
While playing v2.7.5, edit the GAM file back to 2.9.5 and use the 2.9.5 EXE to play this GAM file?

Thanks a lot!

(in reply to paulderynck)
Post #: 3
RE: Patching to v02.09.05 or not - 2/7/2019 10:02:05 PM   
Courtenay


Posts: 3290
Joined: 11/12/2008
Status: offline

quote:

ORIGINAL: TeaLeaf

Thanks Paul!

So I can dowload and install 2.9.4, patch to 2.9.5 and start playing.
Then if I want to switch to 2.7.5, I have to edit the GAM file like you described (just the version at first line top left) and use the 2.7.5 EXE to open this savegame.

Can I assume this also works vice versa?
While playing v2.7.5, edit the GAM file back to 2.9.5 and use the 2.9.5 EXE to play this GAM file?

Thanks a lot!

No need to do this. 2.9.5 will run a 2.7.5 saved game without any editing. It is only going backwards (2.9.5 save, 2.7.5 EXE) that requires editing.

_____________________________

I thought I knew how to play this game....

(in reply to TeaLeaf)
Post #: 4
RE: Patching to v02.09.05 or not - 2/8/2019 5:44:16 PM   
TeaLeaf


Posts: 389
Joined: 11/5/2014
Status: offline
quote:

ORIGINAL: Courtenay


quote:

ORIGINAL: TeaLeaf

Thanks Paul!

So I can dowload and install 2.9.4, patch to 2.9.5 and start playing.
Then if I want to switch to 2.7.5, I have to edit the GAM file like you described (just the version at first line top left) and use the 2.7.5 EXE to open this savegame.

Can I assume this also works vice versa?
While playing v2.7.5, edit the GAM file back to 2.9.5 and use the 2.9.5 EXE to play this GAM file?

Thanks a lot!

No need to do this. 2.9.5 will run a 2.7.5 saved game without any editing. It is only going backwards (2.9.5 save, 2.7.5 EXE) that requires editing.

Yes I understand that, but... If I play a 2.7.5-save using 2.9.5, I am basically playing a 2.9.5 game right?
I was looking for the easiest way to swap versions completely (say if I am not happy with the way 2.9.5 treats my convoys, I can continue playing my 2.9.5 save, with the 2.7.5 EXE, restoring the correct convoy handling). So I can play a 2.7.5 game with a 2.9.5-save.

< Message edited by TeaLeaf -- 2/8/2019 5:45:43 PM >

(in reply to Courtenay)
Post #: 5
RE: Patching to v02.09.05 or not - 2/8/2019 8:19:31 PM   
paulderynck


Posts: 7721
Joined: 3/24/2007
From: Canada
Status: offline
Yes you can do that.

_____________________________

Paul

(in reply to TeaLeaf)
Post #: 6
RE: Patching to v02.09.05 or not - 4/9/2019 11:36:07 PM   
Shannon V. OKeets

 

Posts: 21437
Joined: 5/19/2005
From: Honolulu, Hawaii
Status: offline
This switching between MWIF versions is usually okay.

Problems will occur if:

(1) There were changes to data files (e.g., map data or unit data) between the versions.

(2) There were changes to the structure of the GAM files. I (rarely) sometimes need to make changes to what is written out to the GAM file when a saved game is made. The code always supports loading old GAM files but there is no code to support going backwards (from a 2.9.5 saved game to a 2.7.5 saved game). The GAM file from a more recent version might have additional data that an older version of MWIF might not be able to process.

My "changes since" list will mention if there were any changes of either type since the previous version.

_____________________________

Steve

Perfection is an elusive goal.

(in reply to paulderynck)
Post #: 7
Page:   [1]
All Forums >> [New Releases from Matrix Games] >> World in Flames >> Tech Support >> Patching to v02.09.05 or not Page: [1]
Jump to:





New Messages No New Messages
Hot Topic w/ New Messages Hot Topic w/o New Messages
Locked w/ New Messages Locked w/o New Messages
 Post New Thread
 Reply to Message
 Post New Poll
 Submit Vote
 Delete My Own Post
 Delete My Own Thread
 Rate Posts


Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI

0.119